<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/OptionSelectorEditbox.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d04/_option_selector_editbox_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">OptionSelectorEditbox.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d04/_option_selector_editbox_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>OptionSelectorEditbox <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/df8/class_option_selector_base.html">OptionSelectorBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#ad42337dd9ed3639e9dd0ce686e9fde01">    3</a></span>    <span class="keyword">protected</span> EditBoxWidget         <a class="code hl_variable" href="../../d6/df8/class_option_selector_base.html#ad42337dd9ed3639e9dd0ce686e9fde01">m_EditBox</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a791229d06fdd751de1dd505ca34ea962">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a791229d06fdd751de1dd505ca34ea962">OptionSelectorEditbox</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> parent, <span class="keywordtype">string</span> value, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> parent_menu, <span class="keywordtype">bool</span> disabled )</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>                  = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <span class="stringliteral">&quot;gui/layouts/new_ui/option_editbox.layout&quot;</span>, parent );</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">        #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>                = parent.GetParent().GetParent();</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">        #ifdef PLATFORM_WINDOWS</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>                = parent.GetParent();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_SelectorType              = 1;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_ParentClass               = parent_menu;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_EditBox                   = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;option_value&quot;</span> ) );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#af4e5ee9e91881cc40c0575d2c72887d7">SetValue</a>( value );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#aaa0b45c81cdde9a3ddaf34727c9fb031">Enable</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a18647f91feb822f61629ba6b2afd23fa">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a18647f91feb822f61629ba6b2afd23fa">~OptionSelectorEditbox</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keyword">delete</span> <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#aaa0b45c81cdde9a3ddaf34727c9fb031">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#aaa0b45c81cdde9a3ddaf34727c9fb031">Enable</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        super.Enable();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_EditBox.ClearFlags( <a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.IGNOREPOINTER );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#ac7bb0d7120e903862209d9c1c25f9c75">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#ac7bb0d7120e903862209d9c1c25f9c75">Disable</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        super.Disable();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_EditBox.SetFlags( <a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.IGNOREPOINTER );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a963b3237d348a63e5d6cf5c1866acefa">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a963b3237d348a63e5d6cf5c1866acefa">OnMouseEnter</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span>( !<a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a33caaadecd8ae297651e9b864704f0a3">IsFocusable</a>( w ) )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span>( m_ParentClass )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            m_ParentClass.OnFocus( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetParent(), -1, m_SelectorType );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            m_ParentClass.OnMouseEnter( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetParent().GetParent(), <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ( menu &amp;&amp; menu.IsInherited( CharacterCreationMenu ) )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            menu.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a1df8a7551e9bc08a110da8e019532659">OnFocus</a>( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetParent(), -1, m_SelectorType );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            menu.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a0869c1543715392ea8572734bade9b21">OnMouseEnter</a>( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetParent().GetParent(), <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a713c0a950e78d6deefc5c2ed2160cb26">ColorHighlight</a>(w);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#ad6d2ea8115da2b107fbe6ddc37eca8ba">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#ad6d2ea8115da2b107fbe6ddc37eca8ba">OnMouseLeave</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> enterW, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a33caaadecd8ae297651e9b864704f0a3">IsFocusable</a>( enterW ) )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span>( m_ParentClass )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            m_ParentClass.OnFocus( null, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            m_ParentClass.OnMouseLeave( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetParent().GetParent(), enterW, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> ( menu &amp;&amp; menu.IsInherited( CharacterCreationMenu ) )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            menu.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a1df8a7551e9bc08a110da8e019532659">OnFocus</a>( null, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            menu.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a7b96dee149f4043716d6236e5d0370b5">OnMouseLeave</a>( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetParent().GetParent(), enterW, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#aabd7c4e7423d0761dd9f35f0de071079">ColorNormal</a>( w );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a1cbc5ddc1f4bf16b021e1130ec7e633b">   93</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a1cbc5ddc1f4bf16b021e1130ec7e633b">OnChange</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">bool</span> finished )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span>( w == m_EditBox )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            m_OptionChanged.Invoke( <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a45745b4def397a3f1c8e513716ec0ca0">GetValue</a>() );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a33caaadecd8ae297651e9b864704f0a3">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a33caaadecd8ae297651e9b864704f0a3">IsFocusable</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span>( w )</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">return</span> ( w == <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a> || w == m_EditBox );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a1aae7a9d3ccab7080d1fb488a2a45173">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a1aae7a9d3ccab7080d1fb488a2a45173">OnFocus</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga298047c9fc0a45b4d45dcc1f6fa6c966">GetFocus</a>() != m_EditBox )</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga3198d6d3c89168d93eaf734f13e2f7ef">SetFocus</a>( m_EditBox );</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.Enable( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">return</span> super.OnFocus( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a3645511c178139521f891b08985e0707">  123</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a3645511c178139521f891b08985e0707">OnFocusLost</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span>( w == m_EditBox )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.Enable( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <span class="keywordflow">return</span> super.OnFocusLost( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#af4e5ee9e91881cc40c0575d2c72887d7">  133</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#af4e5ee9e91881cc40c0575d2c72887d7">SetValue</a>( <span class="keywordtype">string</span> value, <span class="keywordtype">bool</span> update = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        m_EditBox.SetText( value );</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">if</span>( update )</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            m_OptionChanged.Invoke( <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a45745b4def397a3f1c8e513716ec0ca0">GetValue</a>() );</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a45745b4def397a3f1c8e513716ec0ca0">  140</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a45745b4def397a3f1c8e513716ec0ca0">GetValue</a>()</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">return</span> m_EditBox.GetText();</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#a713c0a950e78d6deefc5c2ed2160cb26">  145</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#a713c0a950e78d6deefc5c2ed2160cb26">ColorHighlight</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w )</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">if</span>( !w )</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> ( m_EditBox )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga3198d6d3c89168d93eaf734f13e2f7ef">SetFocus</a>( m_EditBox );</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            m_EditBox.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 200, 0, 0) );</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        super.ColorHighlight( w );</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../d6/df8/class_option_selector_base.html#aabd7c4e7423d0761dd9f35f0de071079">  159</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df8/class_option_selector_base.html#aabd7c4e7423d0761dd9f35f0de071079">ColorNormal</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w )</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">if</span>( !w )</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span> ( m_EditBox )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            m_EditBox.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(140, 255, 255, 255) );</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        super.ColorNormal( w );</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_option_selector_base_html"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html">OptionSelectorBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd6/_option_selector_8c_source.html#l00001">OptionSelector.c:2</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a18647f91feb822f61629ba6b2afd23fa"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a18647f91feb822f61629ba6b2afd23fa">OptionSelectorBase::~OptionSelectorEditbox</a></div><div class="ttdeci">void ~OptionSelectorEditbox()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00026">OptionSelectorEditbox.c:26</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a1aae7a9d3ccab7080d1fb488a2a45173"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a1aae7a9d3ccab7080d1fb488a2a45173">OptionSelectorBase::OnFocus</a></div><div class="ttdeci">override bool OnFocus(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00112">OptionSelectorEditbox.c:112</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a1cbc5ddc1f4bf16b021e1130ec7e633b"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a1cbc5ddc1f4bf16b021e1130ec7e633b">OptionSelectorBase::OnChange</a></div><div class="ttdeci">override bool OnChange(Widget w, int x, int y, bool finished)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00093">OptionSelectorEditbox.c:93</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a33caaadecd8ae297651e9b864704f0a3"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a33caaadecd8ae297651e9b864704f0a3">OptionSelectorBase::IsFocusable</a></div><div class="ttdeci">override bool IsFocusable(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd6/_option_selector_8c_source.html#l00215">OptionSelector.c:215</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a3645511c178139521f891b08985e0707"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a3645511c178139521f891b08985e0707">OptionSelectorBase::OnFocusLost</a></div><div class="ttdeci">override bool OnFocusLost(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00123">OptionSelectorEditbox.c:123</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a45745b4def397a3f1c8e513716ec0ca0"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a45745b4def397a3f1c8e513716ec0ca0">OptionSelectorBase::GetValue</a></div><div class="ttdeci">string GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00140">OptionSelectorEditbox.c:140</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a713c0a950e78d6deefc5c2ed2160cb26"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a713c0a950e78d6deefc5c2ed2160cb26">OptionSelectorBase::ColorHighlight</a></div><div class="ttdeci">override void ColorHighlight(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00145">OptionSelectorEditbox.c:145</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a791229d06fdd751de1dd505ca34ea962"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a791229d06fdd751de1dd505ca34ea962">OptionSelectorBase::OptionSelectorEditbox</a></div><div class="ttdeci">void OptionSelectorEditbox(Widget parent, string value, ScriptedWidgetEventHandler parent_menu, bool disabled)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00005">OptionSelectorEditbox.c:5</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_a963b3237d348a63e5d6cf5c1866acefa"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#a963b3237d348a63e5d6cf5c1866acefa">OptionSelectorBase::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00045">OptionSelectorEditbox.c:45</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_aaa0b45c81cdde9a3ddaf34727c9fb031"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#aaa0b45c81cdde9a3ddaf34727c9fb031">OptionSelectorBase::Enable</a></div><div class="ttdeci">override void Enable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd6/_option_selector_8c_source.html#l00224">OptionSelector.c:224</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_aabd7c4e7423d0761dd9f35f0de071079"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#aabd7c4e7423d0761dd9f35f0de071079">OptionSelectorBase::ColorNormal</a></div><div class="ttdeci">override void ColorNormal(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00159">OptionSelectorEditbox.c:159</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_ac7bb0d7120e903862209d9c1c25f9c75"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#ac7bb0d7120e903862209d9c1c25f9c75">OptionSelectorBase::Disable</a></div><div class="ttdeci">override void Disable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00038">OptionSelectorEditbox.c:38</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_ad42337dd9ed3639e9dd0ce686e9fde01"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#ad42337dd9ed3639e9dd0ce686e9fde01">OptionSelectorBase::m_EditBox</a></div><div class="ttdeci">protected EditBoxWidget m_EditBox</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00003">OptionSelectorEditbox.c:3</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_ad6d2ea8115da2b107fbe6ddc37eca8ba"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#ad6d2ea8115da2b107fbe6ddc37eca8ba">OptionSelectorBase::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00069">OptionSelectorEditbox.c:69</a></div></div>
<div class="ttc" id="aclass_option_selector_base_html_af4e5ee9e91881cc40c0575d2c72887d7"><div class="ttname"><a href="../../d6/df8/class_option_selector_base.html#af4e5ee9e91881cc40c0575d2c72887d7">OptionSelectorBase::SetValue</a></div><div class="ttdeci">void SetValue(string value, bool update=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d04/_option_selector_editbox_8c_source.html#l00133">OptionSelectorEditbox.c:133</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a3ab7a991240828f5541ef09cf31fea78"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">UIManager::GetMenu</a></div><div class="ttdeci">proto native UIScriptedMenu GetMenu()</div><div class="ttdoc">Returns most-top open menu.</div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a0869c1543715392ea8572734bade9b21"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a0869c1543715392ea8572734bade9b21">UIScriptedMenu::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d39/_camera_tools_menu_8c_source.html#l00849">CameraToolsMenu.c:849</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a1df8a7551e9bc08a110da8e019532659"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a1df8a7551e9bc08a110da8e019532659">UIScriptedMenu::OnFocus</a></div><div class="ttdeci">override bool OnFocus(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d39/_camera_tools_menu_8c_source.html#l00861">CameraToolsMenu.c:861</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a7b96dee149f4043716d6236e5d0370b5"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a7b96dee149f4043716d6236e5d0370b5">UIScriptedMenu::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d39/_camera_tools_menu_8c_source.html#l00856">CameraToolsMenu.c:856</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga22177e6e3358b5dae620056212478a75"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a></div><div class="ttdeci">WidgetFlags</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00056">EnWidgets.c:57</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga298047c9fc0a45b4d45dcc1f6fa6c966"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga298047c9fc0a45b4d45dcc1f6fa6c966">GetFocus</a></div><div class="ttdeci">proto native Widget GetFocus()</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga3198d6d3c89168d93eaf734f13e2f7ef"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga3198d6d3c89168d93eaf734f13e2f7ef">SetFocus</a></div><div class="ttdeci">proto native void SetFocus(Widget w)</div></div>
<div class="ttc" id="aproto_8c_html_a117bd706d35f6f2ae3f5db263b778704"><div class="ttname"><a href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a></div><div class="ttdeci">int ARGB(int a, int r, int g, int b)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00322">proto.c:322</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../d5/d04/_option_selector_editbox_8c.html">OptionSelectorEditbox.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
